For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
      • GETList brands
      • POSTCreate brand
      • PUTUpsert brand
      • GETRetrieve brand
      • PATCHUpdate brand
      • Brand
  • Customer Request API
  • Management API
LogoLogo
Network APIBrands

Update brand

PATCH
/brands/:brand_id
PATCH
/network/v1/brands/:brand_id
$curl -X PATCH https://api.cash.app/network/v1/brands/brand_id \
> -H "Accept: Accept" \
> -H "X-Region: X-Region" \
> -H "X-Signature: X-Signature" \
> -H "User-Agent: User-Agent" \
> -H "Content-Type: application/json" \
> -d '{
> "brand": {
> "name": "Out of this World",
> "reference_id": "external-id",
> "profile_image_url": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/60/Earth_from_Space.jpg/480px-Earth_from_Space.jpg",
> "color": "#ffffff",
> "metadata": {
> "key": "value"
> }
> }
>}'
1{
2 "brand": {
3 "id": "B_jsrnuiix",
4 "name": "Out of this World",
5 "created_at": "2021-01-01T00:00:00Z",
6 "updated_at": "2021-01-01T00:00:00Z",
7 "reference_id": "external-id",
8 "color": "#ffffff",
9 "profile_image_url": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/60/Earth_from_Space.jpg/480px-Earth_from_Space.jpg"
10 }
11}

Updates a brand matching the provided brand_id with the given attributes.

To clear a field, set it to null. Fields that are not provided in the request will not be changed.

This endpoint is not rate limited.

Scopes: BRANDS_WRITE

Was this page helpful?
Previous

Brand

Next
Built with

Path parameters

brand_idstringRequired

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Request

brandobjectRequired
Details about the brand to update

Response

OK
brandobject
A brand is the entity a customer perceives that they are transacting with.

Errors

400
Bad Request Error